VERSION 5.00
Object = "{E03935A2-FBAD-11D0-8AC7-0800362FB302}#1.0#0"; "SEpartX.ocx"
Begin VB.Form Form1 
   BackColor       =   &H80000004&
   Caption         =   "Rebuild Divide Part"
   ClientHeight    =   12135
   ClientLeft      =   3885
   ClientTop       =   3735
   ClientWidth     =   8265
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   12135
   ScaleWidth      =   8265
   Begin SEPARTXLib.SEpartX SEpartX1 
      Height          =   3615
      Left            =   3675
      TabIndex        =   8
      Top             =   7770
      Width           =   4500
      _Version        =   65536
      _ExtentX        =   7937
      _ExtentY        =   6376
      _StockProps     =   33
      BackColor       =   -2147483635
      BorderStyle     =   1
      PartFile        =   ""
   End
   Begin VB.FileListBox filFile 
      Height          =   11595
      Left            =   105
      MultiSelect     =   2  'Extended
      Pattern         =   "*.par;*.asm;*.psm;*.pwd"
      TabIndex        =   4
      Top             =   420
      Width           =   3495
   End
   Begin VB.DirListBox dirFile 
      Height          =   6615
      Left            =   3675
      TabIndex        =   3
      Top             =   1050
      Width           =   4500
   End
   Begin VB.DriveListBox drvFile 
      Height          =   315
      Left            =   3675
      TabIndex        =   2
      Top             =   420
      Width           =   4500
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Exit"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   480
      Left            =   6510
      TabIndex        =   1
      ToolTipText     =   "Exit the Macro"
      Top             =   11550
      Width           =   1620
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Process"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   480
      Left            =   3675
      TabIndex        =   0
      ToolTipText     =   "Creates the Assembly File"
      Top             =   11550
      Width           =   1620
   End
   Begin VB.Label Label6 
      Caption         =   "Filenames"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   105
      TabIndex        =   7
      Top             =   105
      Width           =   1935
   End
   Begin VB.Label Label5 
      Caption         =   "Directories :"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   3675
      TabIndex        =   6
      Top             =   735
      Width           =   1215
   End
   Begin VB.Label Label4 
      Caption         =   "Drives :"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   3720
      TabIndex        =   5
      Top             =   105
      Width           =   855
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'
Private objApp As SolidEdgeframework.Application
Private objDoc As Object
Private ObjAssyDoc As Object


Private Sub Command1_Click()

    Dim i As Integer
'
    On Error Resume Next
    ' connect to Solid Edge
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
       MsgBox "Solid Edge Must Be Running"
       Exit Sub
    End If
    '
    ' check for an already open assembly
    If objApp.Documents.Count > 0 Then
        If objApp.ActiveDocumentType = igAssemblyDocument Then
            If MsgBox("Use the active assembly document?", vbQuestion + vbYesNo + vbDefaultButton2) = vbYes Then
                Set ObjAssyDoc = objApp.ActiveDocument
            End If
        End If
    End If
    '
    ' Create a new Assembly document to place the parts in.
    ' in case none is open or the user doesn't want to use the active one
    If ObjAssyDoc Is Nothing Then
        Set ObjAssyDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument", "Normal.asm")
        If Err.Number <> 0 Then
            MsgBox "Unable to create Assembly Document: " & Err.Number & " / " & Err.Description
            Unload Me
            Exit Sub
        End If
    End If
        
    Command1.Caption = "Running"
    '
    ' process the selected filenames
    For i = 0 To filFile.ListCount - 1
        If filFile.Selected(i) Then
            '
            ' Add a part to the assembly.
            ObjAssyDoc.Parts.AddByFilename Trim(filFile.Path & "\" & filFile.List(i))
            If Err.Number <> 0 Then
                MsgBox "Unable to add file: " & vbNewLine _
                    & Trim(filFile.Path & "\" & filFile.List(i)) & vbNewLine _
                    & "Error: " & Err.Number & " / " & Err.Description
            Else
                filFile.Selected(i) = False
            End If
            Err.Clear
        End If
    Next
    '
    Command1.Caption = "Process"
    
'
End Sub

Private Sub Command2_Click()
'
    Unload Me
'
End Sub
'
Private Sub dirFile_Change()
    filFile.Path = dirFile.Path
End Sub

Private Sub drvFile_Change()
    dirFile.Path = drvFile.Drive
End Sub
'
Private Sub filFile_Click()
'
'    SEpartX1.PartFile = filFile.Path & "\" & filFile.FileName
'
End Sub

Private Sub Form_Load()
'
End Sub

Private Sub Form_Unload(Cancel As Integer)
'
    Set objDoc = Nothing
    Set ObjAssyDoc = Nothing
    Set objApp = Nothing
'
End Sub
